-- effects
local FlipIn = {
	Init = cmd(diffusealpha,0;rotationx,-90),
	On = cmd(linear,0.75;rotationx,0;diffusealpha,1);
};
local SlideDown = {
	Init = cmd(),
	On = cmd(y,-SCREEN_HEIGHT;decelerate,1;y,SCREEN_CENTER_Y);
};
local SlideRight = {
	Init = cmd(),
	On = cmd(x,-SCREEN_WIDTH;decelerate,1;x,SCREEN_CENTER_X);
};
-- effects table
local effects = { FlipIn, SlideDown, SlideRight };

local t = Def.ActorFrame {
	InitCommand=cmd(fov,90);
	LoadActor( THEME:GetPathB("_shared background","normal") );

	LoadSongBackground() .. {
		Condition=not GAMESTATE:IsCourseMode();
		InitCommand=effects[math.random(#effects)].Init;
		OnCommand=effects[math.random(#effects)].On;
	};

	Def.Quad{
		Condition=GAMESTATE:IsCourseMode();
		InitCommand=cmd(FullScreen;diffuse,color("0,0,0,0"));
		OnCommand=cmd(linear,0.75;diffusealpha,1);
	};
};

return t;